package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TSupervisionUnitEnergy;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TSupervisionUnitEnergyTask;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 节能监察单位产品 服务类
 * @since 2020-10-29
 */
public interface TSupervisionUnitEnergyService extends IService<TSupervisionUnitEnergy> {

    //初始化产品种类下拉框
    List<String> getType(String monitorId);

    boolean saveOrUpdateByString(String s);

    boolean saveOrUpdateByExcel(String s, MultipartFile file) throws FileFormatException;

    boolean deleteTask(TSupervisionUnitEnergyTask task);

    //初始化能耗计算任务
    List<TSupervisionUnitEnergy> initializeUnitEnergyList(TSupervisionUnitEnergy tSupervisionUnitEnergy);

    //查询节能监察能耗计算任务列表
    List<TSupervisionUnitEnergyTask> selectTask(TSupervisionUnitEnergy tSupervisionUnitEnergy);
}
